Set relationship
curl --request POST \
--url https://api.getcargo.io/v1/storage/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasetUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationships": [
{
"fromModelUuid": "<string>",
"fromColumnSlug": "<string>",
"fromPropertySlug": "<string>",
"toModelUuid": "<string>",
"toColumnSlug": "<string>",
"toPropertySlug": "<string>",
"fromSelectedColumnSlugs": [
"<string>"
],
"toSelectedColumnSlugs": [
"<string>"
],
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.getcargo.io/v1/storage/relationships"
payload = {
"datasetUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationships": [
{
"fromModelUuid": "<string>",
"fromColumnSlug": "<string>",
"fromPropertySlug": "<string>",
"toModelUuid": "<string>",
"toColumnSlug": "<string>",
"toPropertySlug": "<string>",
"fromSelectedColumnSlugs": ["<string>"],
"toSelectedColumnSlugs": ["<string>"],
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datasetUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
relationships: [
{
fromModelUuid: '<string>',
fromColumnSlug: '<string>',
fromPropertySlug: '<string>',
toModelUuid: '<string>',
toColumnSlug: '<string>',
toPropertySlug: '<string>',
fromSelectedColumnSlugs: ['<string>'],
toSelectedColumnSlugs: ['<string>'],
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.getcargo.io/v1/storage/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relationships": [
{
"uuid": "<string>",
"workspaceUuid": "<string>",
"fromDatasetUuid": "<string>",
"fromModelUuid": "<string>",
"fromColumnSlug": "<string>",
"fromPropertySlug": "<string>",
"toDatasetUuid": "<string>",
"toModelUuid": "<string>",
"toColumnSlug": "<string>",
"toPropertySlug": "<string>",
"fromSelectedColumnSlugs": [
"<string>"
],
"toSelectedColumnSlugs": [
"<string>"
]
}
]
}Storage - Relationships
Set relationship
Set relationships between models within a connector dataset, or between native object models within the native dataset. Native unify models are not supported.
POST
/
storage
/
relationships
Set relationship
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Updated relationships.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

